Package org.elasticsearch.xpack.sql.jdbc

# Class XContentSqlExtension

java.lang.Object
org.elasticsearch.xpack.sql.jdbc.XContentSqlExtension

All Implemented Interfaces:
  `org.elasticsearch.xcontent.XContentBuilderExtension`

public class XContentSqlExtension extends Object implements org.elasticsearch.xcontent.XContentBuilderExtension
Extension for SQL's JDBC specific classes that need to be encoded by `XContentBuilder` in a specific way.

## Constructor Summary

Constructors
Constructor
Description
`XContentSqlExtension()`

## Method Summary

Modifier and Type
Method
Description
`Map<Class<?>,Function<Object,Object>>`
`getDateTransformers()`
`Map<Class<?>,org.elasticsearch.xcontent.XContentBuilder.HumanReadableTransformer>`
`getXContentHumanReadableTransformers()`
`Map<Class<?>,org.elasticsearch.xcontent.XContentBuilder.Writer>`
`getXContentWriters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XContentSqlExtension

public XContentSqlExtension()

## Method Details

### getXContentWriters

public Map<Class<?>,org.elasticsearch.xcontent.XContentBuilder.Writer> getXContentWriters()

Specified by:
  `getXContentWriters` in interface `org.elasticsearch.xcontent.XContentBuilderExtension`

### getXContentHumanReadableTransformers

public Map<Class<?>,org.elasticsearch.xcontent.XContentBuilder.HumanReadableTransformer> getXContentHumanReadableTransformers()

Specified by:
  `getXContentHumanReadableTransformers` in interface `org.elasticsearch.xcontent.XContentBuilderExtension`

### getDateTransformers

public Map<Class<?>,Function<Object,Object>> getDateTransformers()

Specified by:
  `getDateTransformers` in interface `org.elasticsearch.xcontent.XContentBuilderExtension`